Bug 107795 - After inserting an input field, the cursor is before the field, not after
Summary: After inserting an input field, the cursor is before the field, not after
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All All
: medium minor
Assignee: Bernhard
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2017-05-12 11:52 UTC by Bernhard
Modified: 2017-06-06 21:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard 2017-05-12 11:52:36 UTC
Description:
after inserting a new input field somewhere in the document, the cursor position ends up right before the field.
For other field types, like Date, Author etc., after inserting the cursor position ends up right after the field.

Steps to Reproduce:
open new document in LibreOffice
choose Insert->Fields->More Fields
go to tab "functions", select type "Input field", enter a reference and press Insert
in the lower box, enter "11111" and press ok

Actual Results:  
the cursor is before "11111", and new text and/or fields are inserted before the "11111" field

Expected Results:
the cursor is after "11111", and new text and/or fields are inserted after the "11111" field



Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.110 Safari/537.36
Comment 1 Buovjaga 2017-05-12 18:05:55 UTC Comment hidden (obsolete)
Comment 2 Buovjaga 2017-05-12 18:08:52 UTC
Ignore my previous comment.

It works OK in 3.6.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: 8891472e1f9c5e452a4e8d55241eeba118274092
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 12th 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 3 Commit Notification 2017-05-12 19:27:22 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=408a7e320db978a8f784fa25e35caedf931612c5

tdf#107795 fixed cursor position after inserting input field

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Buovjaga 2017-05-13 10:37:05 UTC
Confirmed fix.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: c0968aa4673a8ac9a8a09a0e291b58b94bdbb35e
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 13th 2016
Comment 5 Commit Notification 2017-06-06 21:28:29 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48e75d8107d64920dd90c5d98b79dc982e311fa3&h=libreoffice-5-3

tdf#107795 fixed cursor position after inserting input field

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.